package util.sqlparse.visitor.mongo;

public interface MongoVisitor<T> {
   T visitFind(MongoNode var1);

   T visitInsert(MongoNode var1);

   T visitUpdate(MongoNode var1);

   T visitDelete(MongoNode var1);

   T visitCommand(MongoNode var1);

   T visitFindAndModify(MongoNode var1);

   T visitCount(MongoNode var1);

   T visitAggregate(MongoNode var1);

   T visitDistinct(MongoNode var1);

   T visitDrop(MongoNode var1);

   T visitCreate(MongoNode var1);

   T visitCreateIndexes(MongoNode var1);

   T visitDropIndexes(MongoNode var1);

   T visitReIndex(MongoNode var1);

   T visitRenameCollection(MongoNode var1);

   T visitMapreduce(MongoNode var1);

   T visitCreateUser(MongoNode var1);

   T visitSaslSupportedMechs(MongoNode var1);

   T visitUpdateUser(MongoNode var1);

   T visitUsersInfo(MongoNode var1);

   T visitGrantRolesToUser(MongoNode var1);

   T visitRevokeRolesFromUser(MongoNode var1);

   T visitDropUser(MongoNode var1);

   T visitCreateCollection(MongoNode var1);
}
